From: Bart Martens <bartm@debian.org>
Date: Sat, 11 Jun 2016 10:53:49 +0200
Subject: 04 default reso

---
 src/Main.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/src/Main.c b/src/Main.c
index 894c519..5e06db3 100644
--- a/src/Main.c
+++ b/src/Main.c
@@ -115,6 +115,16 @@ main(int argc, char *argv[])
 
   atexit(SDL_Quit);
 
+  SDL_VideoInfo *vid_info;
+  vid_info = (SDL_VideoInfo*) SDL_GetVideoInfo ();
+  if( vid_info )
+    if( vid_info->current_w == 1440 && vid_info->current_h ==900
+    ||  vid_info->current_w == 1400 && vid_info->current_h ==1050 )
+    {
+      w = vid_info->current_w;
+      h = vid_info->current_h;
+    }
+
   for(i = 0; i < argc; i++) {
     if(!strcmp(argv[i], "--window")) {
       mainstruct.full_screen = 0;
